Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-5536

2.0/2.1 sharded mapReduce compatibility

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Major - P3
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 2.1.2
    • Component/s: Sharding
    • Labels:
      None
    • Operating System:
      ALL

      Description

      Seems like there's an incompatibility between 2.0 mongod/2.1 mongos on sharded mapreduce.

      To repro, replace 2.1 mongod with 2.0.4 mongod and run features2.js, results in :

      ri Apr  6 15:59:00 exec error: src/mongo/shell/collection.js:661 map reduce failed:{
      	"ok" : 0,
      	"errmsg" : "MR post processing failed: { assertion: \"invalid parameter: expected an object ()\", assertionCode: 10065, errmsg: \"db assertion failure\", ok: 0.0 }"
      }
      throw "map reduce failed:" + tojson(raw);

      Attached sample output (there was some additional spurious logging in the mongos in this output, but reproducible in multiple other tests).

        Attachments

          Activity

            People

            Assignee:
            antoine Antoine Girbal
            Reporter:
            greg_10gen Greg Studer
            Participants:
            Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved: